<?
// phpEasyMail Module Configuration
   
// Define default values which are used when no config-data
// is found in the HTML form. Some will need to be uncommented
// (remove the leading "//") to work.

// If using the "easy" version, you can configure these lines.
// Otherwise, leave commented.  Please use full URLs here!
// $defUrl_error = http://your.place.com/error.html;
// $defUrl_success = http://your.place.com/success.html;

// Define filenames of HTML fragments to be included
// If using the "easy" version these will not be used.

   // Names of the HTML header and footer files.
   $incHeader = "inc/header.html";
   $incFooter = "inc/footer.html";

   // Name of the file to include for the HTML form.
   $incForm = "inc/form.html";

   // Name of the file to include for the welcome page.
   $incWelcome = "inc/welcome.html";

   // Name of the file to include for missing required fields.
   $incMissing = "inc/missing.html";

   // Name of the file to include for a bad email address.
   $incBadEmail = "inc/bad_mail.html";

   // Name of the file to include for thanking the user.
   $incThanks = "inc/thanks.html";

// Define main variables

   // Who the mail should go to.  Leaving undefined skips send (log/autoreply only)
   $defTo = "phpmail@psp.pair.com";

   // Which values need to be input in form.
   $defRequired = "firstname,lastname,email";

   // Should we do a test for a valid from address?
   // Note: even with this turned off, the script will not
   // send an autoreply to an invalid address.  Also, if from
   // is not a required field, it will not be checked.
   $defCheckemail = 1;

   // The subject the sent mail should have.
   $defSubject = "Test Mail from phpEasyMail!";

   // Any extra headers for the sent mail.
   // $defSendextras = "X-Priority: high\n";

   // The body template for the sent mail.
   //   ie. %firstname% is used to print the value of the form element named firstname
   $defTemplate = "This is an inquiry from your website.\nThe user's details are as following:\n\n"
                 ."%firstname% %lastname%\n%email%\n%street%\n%city%\n%province%\n%postal%\n%country%\n%comments%";

   // Who it should appear to be from.  Leave commented
   // out if you don't want to allow empty from lines.
   // $defFrom = "webuser@here.com";

   // Who the autoreply should appear to be from.  Leave
   // commented out if you want to maintain 1.0 compatibility.
   // If defTo is undefined (i.e. you only want to log the mail)
   // you can still have an autoreply by defining this variable
   // and the autoreply variable.
   // $defAutoemail = "me@here.com";

   // The subject the autoreply should have.  Comment it
   // out if you want to maintain 1.0-style autoreply subjects.
   $defAutosubject = "Thank you for visiting!";

   // A prefix to the subject of autoreply messages. If
   // left undefined, will default to "Auto-Reply: "
   // Will not be used if "autosubject" is defined
   // $defAutoprefix = "Re: ";

   // Any extra headers for the autoreply.
   // $defAutoextras = "Reply-To: realperson@here.com\nErrors-To:me@here.com\n";

   // The body template for the autoreply.
   //   ie. %firstname% is used to print the value of the form element named firstname
   $defAutoreply = "Hi %firstname% %lastname%!\n\n"
                  ."   Thank you very much for taking the time to contact me!\n"
                  ."   Below is a summary of what you sent to me:\n\n"
                  ."\t%firstname% %lastname%\n\t%email%\n\t%street%\n\t%city%\n\t"
                  ."%province%\n\t%postal%\n\t%country%\n\t%comments%\n"
                  ."\n\n\n"
                  ."\t\t\t\tYours Sincerely,\n\n"
                  ."\t\t\t\t     Webmaster";

   // Ask user for a second submission on completion?
   // (Only works for "normal" version)
   $defAskagain = 0;

   // Text to output when asking for another submission
   $defAsktext = "<BR>Please send another message if you wish.<BR>";


// Define varibles needed for database access (logging)

   // Do logging?
   $defLog = 0;

   // Log bodies?
   $defLogbodies = 0;
 
   // MySQL hostname
   $db_hostname = "";

   // MySQL username
   $db_user = "";

   // MySQL password
   $db_password = "";

   // MySQL database name
   $db_database = "";

   // MySQL table name
   $db_table = "";


// That's it!
?>